# Malwarelytics for React Native

[![npm](https://img.shields.io/npm/v/react-native-malwarelytics)](https://www.npmjs.com/package/react-native-malwarelytics) ![license](https://img.shields.io/github/license/wultra/react-native-malwarelytics) ![released](https://img.shields.io/github/release-date/wultra/react-native-malwarelytics)

Malwarelytics for React Native protects your banking or fintech app from a broad range of mobile security threats with an industry-leading mobile threat intelligence solution.

Integrate the SDK and connect to our cloud services to make the most of this product.

<!-- begin remove -->
## Table of Content

**Introduction**

- [Home](Readme.md)
- [Installation](Installation.md)
- [Configuration](Configuration.md)
- [Google Play Prominent Disclosure](Google-Play-Prominent-Disclosure.md)
- [Usage](Usage.md)
- [Release Notes](Release-Notes.md)

**Advanced Topics**

- [RASP Module](Usage-RASP.md)
- [Antivirus Module](Usage-AV.md)
- [Client Identification Change](Client-Identification-Change.md)
- [Repackaging Detection](Repackaging-Detection.md)
- [Configuration of the Antivirus UI](Configuration-Antivirus-UI.md)
- [Demo Application](Demo-App.md)

**Migration Guides**

- [Version 1.1.x](Version-1.1.x.md)
- [Version 1.0.x](Version-1.0.x.md)

**Native Libraries**

- [Android Native Library](https://developers.wultra.com/components/malwarelytics-android)
- [Apple Native Library](https://developers.wultra.com/components/malwarelytics-apple)
<!-- end -->

## Supported Features

### Android platform

- Active Malware Scan
- Detection of App Installation Source
- Emulator Detection
- Root Detection
- Debugger Protection
- Repackaging Detection
- Screen Sharing Detection
- Screenshot Blocking
- Screen Reader Blocking
- Changing of app’s Process Name
- Tapjacking Protection
- HTTP Proxy Detection
- VPN Detection
- Detection of ADB status
- Active Call Detection
- App Presence Detection
- Detection of Screen Lock Usage
- Detection of Biometry Enrollment Status
- Detection of Play Protect Status
- Detection of Developer Options Status

### Apple platform

- Jailbreak Detection
- Reverse Engineering Tools Detection
- Repackaging Detection
- Debugger Protection
- HTTP Proxy Detection
- System Passcode Status
- Screenshot Captured Event
- Predefined and Custom Events
- VPN detection
- Active phone call detection

## Migration Guides

- [Version 1.1.x](Version-1.1.x.md)
- [Version 1.0.x](Version-1.0.x.md)

## Read Next

- [Installation](Installation.md)