"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MalwarelyticsAndroidFingerprintType = void 0;
//
// Copyright 2023 Wultra s.r.o.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions
// and limitations under the License.
//
// ---------------------------------------------------------------------------------------
//
//                                     C O M M O N
//
// ---------------------------------------------------------------------------------------
/**
 * Configuration for Malwarelytics Module.
 */
/**
 * Configuration for connection to Malwarelytics service.
 */
/**
 * Defines Malwarelytics Service Environment:
 * - `"TEST"` - Test environment.
 * - `"PROD"` - Production environment.
 * 
 * Note that using test environment will cause a warning print in the debug console.
 */
/**
 * Configuration for user or device identifiers in case that
 * such information is available in case of Malwarelytics initialization.
 */
// ---------------------------------------------------------------------------------------
//
//                              A P P L E   Specific
//
// ---------------------------------------------------------------------------------------
/** 
 * Configuration of the Malwarelytics SDK for the Apple platform. 
 */
/** 
 * Configuration of the RASP features on the Apple platforms 
 */
/**
 * Configuration of the events collection. 
 */
/** 
 * Configuration of customer grouping and naming in the Malwarelytics web console. 
 */
/**
 * Configuration of the repackaging detection behavior 
 */
/** 
 * Configuration of the basic detection behavior 
 */
/**
 * Configuration of the debugger detection behavior 
 */
/**
 * Configuration of the screen capture detection behavior.
 */
/** 
 * Configuration of the simple detection behavior. 
 */
/**
 * Configuration of the app presence detection behavior.
 */
/**
 * Configuration of application that can be detected on the phone if present.
 */
/** 
 * Configuration of the screen capture overlay. 
 */
/**
 * UIColor abstraction for configuration.
 */
/**
 * UIImage abstraction for configuration.
 */
/**
 * Category of MalwarelyticsAppleDetectableApp
 * REMOTE_DESKTOP - Remote desktop apps are apps that can screen cast phone screen.
 */
/**
 * NO_ACTION - do nothing
 * NOTIFY - notify via the observer
 * BLOCK - block the debugger
 * EXIT - exit the app
 */
/**
 * NO_ACTION - do nothing
 * NOTIFY - notify via the observer
 * EXIT - exit the app
 */
/**
 * NO_ACTION - do nothing
 * NOTIFY - notify via the observer
 * HIDE - hide app's content with an overlay when screen capture is detected
 * EXIT - exit the app
 */
/**
 * NO_ACTION - do nothing
 * NOTIFY - notify via the observer
 */
/**
 * MANUAL - automatic detection is turned off, you can do a manual check
 * NOTIFY - notify via the observer
 */
/**
 * DEFAULT - default cover with a solid color and an application icon
 * COLOR - cover with a solid color
 * IMAGE - cover with an image
 */
// ---------------------------------------------------------------------------------------
//
//                             A N D R O I D   Specific
//`
// ---------------------------------------------------------------------------------------
/**
 * Configuration of the Malwarelytics SDK for the Android platform. 
 */
/**
 * Configuration of customer grouping and naming in the Malwarelytics web console. 
 */
/**
 * Type of device fingerprinting performed.
 */
let MalwarelyticsAndroidFingerprintType = exports.MalwarelyticsAndroidFingerprintType = /*#__PURE__*/function (MalwarelyticsAndroidFingerprintType) {
  MalwarelyticsAndroidFingerprintType["NONE"] = "NONE";
  MalwarelyticsAndroidFingerprintType["BASIC"] = "BASIC";
  MalwarelyticsAndroidFingerprintType["SAFE"] = "SAFE";
  MalwarelyticsAndroidFingerprintType["FULL"] = "FULL";
  return MalwarelyticsAndroidFingerprintType;
}({});
/** 
 * Antivirus component configuration for Android platform
 */
/**
 * Configuration action for RASP detection.
 * - `'NO_ACTION'` - Do not check this type of RASP event.
 * - `'NOTIFY'` - Notify application via the RASP listener.
 * - `'EXIT'` - Exit application.
 */
/**
 * Configuration action for RASP blocking feature.
 * - `'NO_ACTION'` - Do nothing.
 * - `'BLOCK'` - Block the feature.
 */
/**
 * Configuration action for process name change feature.
 * - `'NO_ACTION'` - Do nothing.
 * - `'USE_STEALHY'` - Use stealthy process name.
 */
/**
 * Configuration action for ADB detection.
 * - `'NOTIFY'` - Notify application via the RASP listener.
 * - `'EXIT'` - Exit application.
 */
/**
 * Configuraiton action for simple RASP detection.
 * - `'NO_ACTION'` - Do not check this type of RASP event.
 * - `'NOTIFY'` - Notify application via the RASP listener.
 */
/**
 * Configuration for RASP event detection.
 */
/**
 * Configuration for ROOT RASP event detection.
 */
/**
 * Configuration for Android debugger RASP event detection.
 */
/**
 * Configuration for Repackaging RASP event detection.
 */
/**
 * Configuration for RASP event detection.
 */
/**
 * Configuration for screen readers RASP detection.
 */
/**
 * Configuration for process name change feature.
 */
/**
 * Tapjacking configuration.
 */
/**
 * ADB configuration.
 */
/**
 * Simple detection configuration.
 */
/**
 * App presence configuration.
 */
/** 
 * Configuration of app the presence of which should be checked. 
 */
/**
 * Runtime Application Self-Protection Configuration for Android platform
 */
//# sourceMappingURL=MalwarelyticsConfig.js.map