/**
 * Info about observed update.
 *
 * Returned @see updateResult corresponds to these data:
 * - {@link UpdateResult.SUCCESS}:
 *     @see failureReason is null
 * - {@link UpdateResult.PARTIAL_SUCCESS}:
 *     @see failureReason is not null
 *     and @see updatedApps is not empty
 * - {@link UpdateResult.FAILURE}:
 *     and @see failureReason is not null
 *     and @see updatedApps is empty
 *
 * Partially successful update can happen when an error occurs while storing the suggestions locally.
 * In such case, suggestions for only a fraction of apps were stored.
 */

/** Result of an update. */
export let UpdateResult = /*#__PURE__*/function (UpdateResult) {
  UpdateResult["SUCCESS"] = "SUCCESS";
  UpdateResult["PARTIAL_SUCCESS"] = "PARTIAL_SUCCESS";
  UpdateResult["FAILURE"] = "FAILURE";
  return UpdateResult;
}({});
//# sourceMappingURL=ObservedUpdateInfo.js.map