/**
 * Data that describes Android APK.
 */
export interface Apk {
    /**
     * Package name (Application ID) of the app.
     */
    packageName: string;
    /**
     * SHA-1 hash of the app's signature. The signature hash is optional but recommended to use.
     */
    signatureHash?: string;
}
/**
 * Information about Android APK.
 */
export interface ApkInfo {
    /**
     * Application name as displayed in the system.
     */
    readonly label: String;
    /**
     * Base64 encode PNG icon in the original size.
     * You can use it in html as `<img src="data:image/jpeg;base64,${apkInfo.icon}" width="96" />`
     */
    readonly icon?: String;
}
//# sourceMappingURL=Apk.d.ts.map