/** Emulator detection data. */
export interface EmulatorInfo {
    /** Whether the device is an emulator. */
    readonly isEmulator: boolean;
    /** Detected emulator type. */
    readonly detectedEmulatorType?: EmulatorType;
    /** Troubleshooting data. A collection of internal indicators causing the debugger detection. */
    readonly emulatorDetectionProofs: [EmulatorDetectionProof];
}
export type EmulatorType = "AVD" | "GENYMOTION" | "APPLE" | "OTHER";
export type EmulatorDetectionProof = "EDP_01" | "EDP_02" | "EDP_03" | "EDP_04" | "EDP_05" | "EDP_06" | "EDP_07" | "EDP_08" | "EDP_09" | "EDP_10";
//# sourceMappingURL=EmulatorInfo.d.ts.map