/** Screen sharing detection data. */
export interface ScreenSharingInfo {
    /**
     * Apple: Screen is captured
     * Android: Screen is shared
     */
    readonly isScreenShared: boolean;
    /**
     * Android: Number of displays
     */
    readonly numberOfDisplays?: number;
    /**
     * Android: Transient data containing information about detected transient changes.
     */
    readonly transientData: TransientScreenSharingData;
    /**
     * Android: Whether the detection result is problematic for the app.
     */
    readonly isProblematic: boolean;
    /**
     * Android: Whether the detection result indicates a transient change.
     */
    readonly isTransientChange: boolean;
}
/** Android: Obtained transient data. */
export interface TransientScreenSharingData {
    /** Whether an added display has just been detected. */
    readonly displayAdded: boolean;
    /** Whether a removed display has just been detected. */
    readonly displayRemoved: boolean;
}
//# sourceMappingURL=ScreenSharingInfo.d.ts.map