export interface SystemIntegrityInfo {
    /**
     * Apple: true if device contains jailbreak.
     */
    readonly isJailbroken: boolean;
    /**
     * Android: true if device is rooted.
     */
    readonly isRooted: boolean;
    /**
     * Android: Additional information about detected root.
     */
    readonly rootInfo?: RootDetectionInfo;
}
/** Root detection data. */
export interface RootDetectionInfo {
    /**
     * Android: true if root is cloaked.
     */
    readonly isRootCloaked: boolean;
    /**
     * Android specific.
     */
    readonly rootDetectionProofs: [RootDetectionProof];
    /**
     * Android specific.
     */
    readonly rootDetectionConfidence: number;
    /**
     * Android specific.
     */
    readonly rootCloakDetectionConfidence: number;
}
export type RootDetectionProof = "RDP_01" | "RDP_02" | "RDP_03" | "RDP_04" | "RDP_05" | "RDP_06" | "RDP_07" | "RDP_08" | "RDP_09" | "RDP_10" | "RDP_11" | "RDP_12";
//# sourceMappingURL=SystemIntegrityInfo.d.ts.map