//
// Copyright 2023 Wultra s.r.o.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions
// and limitations under the License.
//

/**
 * RASP message types.
 */
export type RaspEventType =         //   Platforms        | Payload
                                    // -----------------------------------------------
     "DEBUGGER" |                   // Android   Apple      boolean
     "REPACKAGED" |                 // Android   Apple      RepackageInfo
     "HTTP_PROXY" |                 // Android   Apple      HttpProxyInfo
     "SCREEN_SHARING" |             // Android   Apple      ScreenSharingInfo
     "SYSTEM_INTEGRITY" |           // Android   Apple      SystemIntegrityInfo
     "EMULATOR" |                   // Android   Apple      EmulatorInfo
     "VPN" |                        // Android   Apple      boolean
     "ON_CALL" |                    // Android   Apple      boolean
     "APP_PRESENCE" |               // Android   Apple      AppPresenceInfo
     "TAPJACKING" |                 // Android              TapjackingInfo
     "ADB_STATUS" |                 // Android              boolean
     "SCREEN_LOCK" |                // Android              boolean
     "PLAY_PROTECT" |               // Android              boolean
     "SCREEN_READER" |              // Android              ScreenReaderInfo
     "NA_SCREEN_READER" |           // Android              boolean
     "TAPJACKING_APP_PRESENT" |     // Android              boolean
     "DEVELOPER_MODE" |             // Android              boolean
     "BIOMETRY" |                   // Android              BiometryInfo
     "ACTIVE_CALL" |                // Android              ActiveCallInfo
     "DEBUGGER_INFO" |              // Android              DebuggerInfo
     "SCREENSHOT" |                 //           Apple
     "REVERSE_TOOLS" |              //           Apple
     "DEVICE_PASSCODE" |            //           Apple      boolean
     "DEVICE_BIOMETRY" ;            //           Apple      boolean
     
     
     


export interface RaspEvent {
    type: RaspEventType
    payload: any
}
