import { MalwarelyticsAppleDetectableApp } from '../../MalwarelyticsConfig'

/** App presence detection data. */
export interface AppPresenceInfo {
    /**
     * Android
     */
    readonly androidAppPresenceInfo?: AndroidAppPresenceinfo;
    /**
     * Apple
     */
    readonly appleAppPresenceInfo?: AppleAppPresenceInfo;
}

/** Android app presence detection data. */
export interface AndroidAppPresenceinfo {
    readonly remoteDesktopApps: [NamedApkItemInfo];
}

/** Rasp app presence detection item. */
export interface NamedApkItemInfo {
    /** Display name item as defined in the configuration. */
    readonly displayName: string;
    /** Obtained application name. */
    readonly appName: string;
    /** Package name (application ID) of the app. */
    readonly packageName: string;
    /** Version name. */
    readonly versionName: string;
    /** Version code. */
    readonly versionCode: number;
    /** Base64 encoded SHA-1 signature hash. */
    readonly signatureHash: string;
}

/** Apple app presence detection data. */
export interface AppleAppPresenceInfo {
    readonly installedApps: [MalwarelyticsAppleDetectableApp];
}