//
// Copyright 2023 Wultra s.r.o.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions
// and limitations under the License.
//

/** Emulator detection data. */
export interface EmulatorInfo {
    /** Whether the device is an emulator. */
    readonly isEmulator: boolean
    /** Detected emulator type. */
    readonly detectedEmulatorType?: EmulatorType
    /** Troubleshooting data. A collection of internal indicators causing the debugger detection. */
    readonly emulatorDetectionProofs: [EmulatorDetectionProof]
}

export type EmulatorType = "AVD" | "GENYMOTION" | "APPLE" | "OTHER"

export type EmulatorDetectionProof = "EDP_01" | "EDP_02" | "EDP_03" | "EDP_04" | "EDP_05" | "EDP_06" | "EDP_07" | "EDP_08" | "EDP_09" | "EDP_10"
