//
// Copyright 2023 Wultra s.r.o.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions
// and limitations under the License.
//

/** HTTP proxy detection data. */
export interface HttpProxyInfo {
    /**
     * Whether the proxy data indicate that a proxy is enabled.
     */
    readonly isHttpProxyEnabled: boolean;
    
    /**
     * TODO: missing doc
     */
    readonly isUsingAutoConfig?: boolean;
    /**
     * Android: Host of the proxy server or null if proxy is not enabled. 
     */
    readonly host?: string;
    /**
     * Android: Port of the proxy server or null if proxy is not enabled.
     */
    readonly port?: number;
    /** 
     * Android: Comma separated list of host for which the proxy is ignored or null if there are no excluded hosts.
     */
    readonly exclusionList?: string;
    /** 
     * Android: The URL of the current PAC script or null if there is no PAC script. 
     */
    readonly pacFileUrl?: string;
}